Debian Bug report logs - #625773
src:wordpress: missing source for javascript and flash files

version graph

Package: src:wordpress; Maintainer for src:wordpress is Craig Small <csmall@debian.org>;

Reported by: Ansgar Burchardt <ansgar@2008.43-1.org>

Date: Thu, 5 May 2011 21:13:33 UTC

Severity: serious

Found in version wordpress/3.0.5+dfsg-1

Fixed in version wordpress/3.2.1+dfsg-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#625773; Package src:wordpress. (Thu, 05 May 2011 21:13:38 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@2008.43-1.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: src:wordpress: missing source for javascript and flash files
Date: Thu, 05 May 2011 23:11:55 +0200
Package: src:wordpress
Version: 3.0.5+dfsg-1
Severity: serious
Justification: missing source

wordpress includes several compressed javascript and flash files without
source (for compressed javascript that is the uncompressed, editable
version).  Examples include

  wp-includes/js/jquery/*
  wp-includes/js/swfupload/swfupload.swf
  wp-includes/js/tinymce/*.js
  wp-includes/js/tinymce/plugins/media/img/flv_player.swf

swfupload.swf is not installed, but still included in the upstream
tarball.

Please also make sure that compressed javascript files are recreated
when the package is build.

Ansgar




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#625773; Package src:wordpress. (Fri, 10 Jun 2011 07:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Fri, 10 Jun 2011 07:21:03 GMT) Full text and rfc822 format available.

Message #8 received at 625773@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Ansgar Burchardt <ansgar@2008.43-1.org>, 625773@bugs.debian.org
Subject: Re: Bug#625773: src:wordpress: missing source for javascript and flash files
Date: Fri, 10 Jun 2011 09:16:52 +0200
Hi,

On Thu, 05 May 2011, Ansgar Burchardt wrote:
> wordpress includes several compressed javascript and flash files without
> source (for compressed javascript that is the uncompressed, editable
> version).  Examples include
> 
>   wp-includes/js/jquery/*
>   wp-includes/js/swfupload/swfupload.swf
>   wp-includes/js/tinymce/*.js
>   wp-includes/js/tinymce/plugins/media/img/flv_player.swf
> 
> swfupload.swf is not installed, but still included in the upstream
> tarball.

flv_player.swf is also not installed. So we should strip those 2 .swf
files from the source.

For the javascript files, I don't agree that it's a serious violation.

Jquery is dual licensed MIT/GPL, it could be used under the terms of the
MIT license which has no requirement on the preferred form of
modification.

All the files that have been modified/provided by WordPress (and not
grabbed directly from jquery/tinymce) have a .dev.js variant that
is the unscrambled version, some examples:
/usr/share/wordpress/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin.dev.js
/usr/share/wordpress/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js
/usr/share/wordpress/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js

/usr/share/wordpress/wp-includes/js/jquery/jquery.form.dev.js
/usr/share/wordpress/wp-includes/js/jquery/suggest.dev.js

And there are tools like http://jsbeautifier.org/ that you can use to get
back a somewhat editable version if you really want to edit the other
javascript files.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#625773; Package src:wordpress. (Thu, 16 Jun 2011 08:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 16 Jun 2011 08:24:02 GMT) Full text and rfc822 format available.

Message #13 received at 625773@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 625773@bugs.debian.org
Subject: Re: Bug#625773: src:wordpress: missing source for javascript and flash files
Date: Thu, 16 Jun 2011 10:20:50 +0200
Raphael Hertzog <hertzog@debian.org> writes:
> On Thu, 05 May 2011, Ansgar Burchardt wrote:
>> wordpress includes several compressed javascript and flash files without
>> source (for compressed javascript that is the uncompressed, editable
>> version).  Examples include
[...]
> flv_player.swf is also not installed. So we should strip those 2 .swf
> files from the source.

Fine.

> For the javascript files, I don't agree that it's a serious violation.
>
> Jquery is dual licensed MIT/GPL, it could be used under the terms of the
> MIT license which has no requirement on the preferred form of
> modification.

The DFSG does require source code and we also reject packages from NEW
for shipping minimized JS files without source.

> All the files that have been modified/provided by WordPress (and not
> grabbed directly from jquery/tinymce) have a .dev.js variant that
> is the unscrambled version, some examples:
> /usr/share/wordpress/wp-includes/js/tinymce/plugins/wpgallery/editor_plugin.dev.js
> /usr/share/wordpress/wp-includes/js/tinymce/plugins/wpeditimage/js/editimage.dev.js
> /usr/share/wordpress/wp-includes/js/tinymce/plugins/wpeditimage/editor_plugin.dev.js
>
> /usr/share/wordpress/wp-includes/js/jquery/jquery.form.dev.js
> /usr/share/wordpress/wp-includes/js/jquery/suggest.dev.js

That is okay (though I personally would prefer to build them from source
as well).

Regards,
Ansgar




Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Mon, 08 Aug 2011 21:39:06 GMT) Full text and rfc822 format available.

Notification sent to Ansgar Burchardt <ansgar@2008.43-1.org>:
Bug acknowledged by developer. (Mon, 08 Aug 2011 21:39:07 GMT) Full text and rfc822 format available.

Message #18 received at 625773-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 625773-close@bugs.debian.org
Subject: Bug#625773: fixed in wordpress 3.2.1+dfsg-1
Date: Mon, 08 Aug 2011 21:34:32 +0000
Source: wordpress
Source-Version: 3.2.1+dfsg-1

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive:

wordpress-l10n_3.2.1+dfsg-1_all.deb
  to main/w/wordpress/wordpress-l10n_3.2.1+dfsg-1_all.deb
wordpress_3.2.1+dfsg-1.debian.tar.gz
  to main/w/wordpress/wordpress_3.2.1+dfsg-1.debian.tar.gz
wordpress_3.2.1+dfsg-1.dsc
  to main/w/wordpress/wordpress_3.2.1+dfsg-1.dsc
wordpress_3.2.1+dfsg-1_all.deb
  to main/w/wordpress/wordpress_3.2.1+dfsg-1_all.deb
wordpress_3.2.1+dfsg.orig.tar.gz
  to main/w/wordpress/wordpress_3.2.1+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625773@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 08 Aug 2011 23:06:20 +0200
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.2.1+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 625773
Changes: 
 wordpress (3.2.1+dfsg-1) unstable; urgency=low
 .
   [ Paul Tagliamonte ]
   * [c5e4b2c] Added a get-orig-source target to recreate the DFSG-clean
     tarball. It drops all the sourceless flash files. Closes: #625773
 .
   [ Raphaël Hertzog ]
   * [d1035bd] Imported Upstream version 3.2.1+dfsg
   * [b968405] Update and refresh all patches.
   * [10ab97c] Drop manifest.patch because the description in its header
     doesn't make any sense.
   * [87537db] Update dependencies as per new upstream requirements.
   * [0c534ec] Update packaging to avoid using even more embedded PHP/JS
     libraries.
   * [ec5c11e] Use a new dh_linktree to replace embedded PHP/JS libraries.
   * [8690719] Add lintian override for embedded-php-library streams.php since
     it's a false positive.
   * [83c15bc] Upgrade Standards-Version to 3.9.2 (no changes needed).
   * [938fb15] Update internationalization files.
   * [6ac0357] Install class-smtp.php and class-phpmailer.php so that they can
     be replaced by dh_linktree.
Checksums-Sha1: 
 7ce1cfbd0bdef1d7291336ebffdba2388d61fc59 2268 wordpress_3.2.1+dfsg-1.dsc
 0011008865315876706c5fbb07def08c7cd5e988 3567968 wordpress_3.2.1+dfsg.orig.tar.gz
 60d2ec5394400c89a3023d03d1ad58a05fc36c05 7355096 wordpress_3.2.1+dfsg-1.debian.tar.gz
 28edc459226e3d57e41e0c5a7caea9251df9cb63 3215990 wordpress_3.2.1+dfsg-1_all.deb
 11babea36b277c73eabbb0540bacede5c20b0868 6530252 wordpress-l10n_3.2.1+dfsg-1_all.deb
Checksums-Sha256: 
 d89c717e01b30966985db05e50fc461dfa4e55c099c772ba19f16d2d6aeac68c 2268 wordpress_3.2.1+dfsg-1.dsc
 a24ab23a318c9408d813e5ded6ea68439424a229b7c95b1908dfbd49900477d5 3567968 wordpress_3.2.1+dfsg.orig.tar.gz
 c0cb843d104598d1d3ba3745d46303665b12d027de8381d6bb630c3cdcde43d0 7355096 wordpress_3.2.1+dfsg-1.debian.tar.gz
 0bc2765cd3789a5a6ca5c13f5c229f9585c7b6a1e1c950f94fedc53522a85e59 3215990 wordpress_3.2.1+dfsg-1_all.deb
 012dcb8efcb5e02cd0297ff05a412137a5d72819dc7f79fdc563573c5b27cd83 6530252 wordpress-l10n_3.2.1+dfsg-1_all.deb
Files: 
 19bde8824377ad7edb6198d026c1e5f6 2268 web optional wordpress_3.2.1+dfsg-1.dsc
 31e7bd31b571059f65a7e1854a8b6105 3567968 web optional wordpress_3.2.1+dfsg.orig.tar.gz
 dde5ca2f15bbe8fc32be9c647963d43f 7355096 web optional wordpress_3.2.1+dfsg-1.debian.tar.gz
 7736bec430ddd9d4d26dcd1542bcf4a6 3215990 web optional wordpress_3.2.1+dfsg-1_all.deb
 fda24dba883c009ab42f5bcd2232b50d 6530252 localization optional wordpress-l10n_3.2.1+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJOQFF+AAoJEOYZBF3yrHKadpwQAL+SkGV1Fdwq3LnhYh24C45s
cZVViSVtroraN7+nc2eTkExkPm3uCpMzeq3FAdHTwqnz0DkxBT+2m+lNAMT/5DvG
ArA8x3VvyUPIwMCp7Nr/H6qLCEmAJjV2IwAS+PxFjwmPbBpGBWWRwnXAiyVDRg12
d0t7j3u1KmNGLdkPQ+3w4CD4JF5ncJ8OsblzMxnu7U0y3llNZSPp074b92rV0adO
epWS9E5pBBKysIGxrcXzB6zmCLNX/X+y2CJyKG4CWqgfO4/5E9HicKbNnLLx+naR
ruRPLcZbsLv25oUyFOQs/IKBcrAciHtkMzly7KDSZrp054+Nwt/k9qgK+Od0NpCs
y+CHoV/yI86hPWJgEBsC1LJe2O3I5KZU0pQG5brCuH8/9q73rnMdQbF5F8OcCnVG
gpyU4hj7kPArSWHBAz4eyRBoBwiZXF96rXwhsmk4zLkwJp25uXNFYQIdy6gSzoIQ
zFtZQdrGHMhongpfYE7hREE4hTsJaRuf9TN4V3H0OifxnFn/qfQukMoFqQabEC/2
f7hOgafL0qWsIw/fM92th1QUw6jiCTlvBVaiCDMrNfe+eyKk2G96tvcePwcYYKM/
3YZqTj5bl1VJx/UevLMaJCJ8wKJmK/p4lE61gA0USddC4RhHcdiF4mFzle4fU+mH
OODc0a8Ffs48y542aLkD
=mjk2
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 06 Sep 2011 07:39:45 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:48:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.